Get the news of a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/news

Get the last news of a project, the newest first. A news is made when a comment is posted on a task. Clients cannot use this route.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

Query parameters

  • before string(date)

    Get the news before this date. Date in the ISO 8601 format, for example 2026-10-28T10:00:00

  • after string(date)

    Get the news after this date. Date in the ISO 8601 format, for example 2026-10-28T10:00:00

  • page integer

    Page to get

    Default value is 1.

  • limit integer

    Number of news in a page

    Default value is 50.

  • person_id string(uuid)

    Get only the news of this author

  • task_type_id string(uuid)

    Get only the news of this task type

  • task_status_id string(uuid)

    Get only the news of this task status

  • episode_id string(uuid)

    Get only the news of this episode

  • only_preview boolean

    Get only the news with a preview

    Default value is false.

Responses

  • 200 application/json

    A page of news, with the statistics of the news

    Hide response attributes Show response attributes object
    • data array[object]
    • stats object

      Number of news for each task status

    • total integer
    • nb_pages integer
    • limit integer
    • offset integer
    • page integer
  • 400

    A date is not valid

  • 403

    You do not have access to this project, or you are a client

  • 404

    The project does not exist

GET /data/projects/{project_id}/news
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/news?before=2022-07-12&after=2022-07-12&page=1&limit=50&person_id=a24a6ea4-ce75-4665-a070-57453082c25&task_type_id=a24a6ea4-ce75-4665-a070-57453082c25&task_status_id=a24a6ea4-ce75-4665-a070-57453082c25&episode_id=a24a6ea4-ce75-4665-a070-57453082c25&only_preview=false" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/news"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "before": "2022-07-12",
    "after": "2022-07-12",
    "page": 1,
    "limit": 50,
    "person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_status_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "episode_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "only_preview": false
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "data": [
    {}
  ],
  "stats": {},
  "total": 42,
  "nb_pages": 42,
  "limit": 42,
  "offset": 42,
  "page": 42
}